Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #523

FLAC plugin broken on Windows 8.1, FFMPEG plugin works
March 20, 2015 01:11 - Jonathan Lane

Status: Closed Start date: March 20, 2015
Priority: Minor Due date:

Assignee: % Done: 100%
Category: plugins/flac Estimated time: 0.00 hour
Target version: 3.6.2

Affects version: 3.6

Description

Playing back certain FLAC files on Windows 8.1 in Audacious 3.6 will immediately cause Audacious to crash and the application to
close. Disabling the FLAC plugin and relying on the FFMPEG plugin to handle FLAC playback works. | suspect this is a bug in the
upstream FLAC library, since Clementine 1.2.3 exhibits very similar behavior on Windows 8.1, and they determined it was a bug in
dependency code.

History

#1 - March 20, 2015 21:04 - John Lindgren

Please attach an example file.

#2 - March 21, 2015 06:22 - Jonathan Lane

Each of the files I've experienced this problem with exceeds 5MB in size, so | can't attach them. Here is a link to one of the files:

http://a.pomf.se/aikkfo.flac

#3 - March 21, 2015 18:26 - John Lindgren

| can't reproduce the crash on Windows 7.

#4 - April 12, 2015 05:18 - John Lindgren

Can anyone else reproduce this? Preferably on a Windows 7 machine?

#5 - April 17,2015 16:26 - Artem S. Tashkinov

John Lindgren wrote:

Can anyone else reproduce this? Preferably on a Windows 7 machine?

| can confirm that Audacious 3.6.1 is crashing on Windows 8.1 64 with the provided FLAC file but since the reporter says it's a problem with the
upstream library this bug report is actually invalid.

In Windows 7 64 Audacious doesn't crash.

#6 - April 18, 2015 15:06 - John Lindgren
http://a.pomf.se/aikkfo.flac

Is there an upstream fix yet? It would be nice to include a patch in the next Windows build if one is available.

#7 - April 20, 2015 13:51 - Artem S. Tashkinov
Here's the fix: https:/git.xiph.org/?p=flac.qgit;a=commitdiff;h=a8458706 1cab4d55fa2668ea431d3b61e711c8a3

#8 - April 20, 2015 23:07 - John Lindgren

I'm skeptical. Has anyone confirmed (i.e. recompiled libflac and tested) that this really fixes the crash?

#9 - April 21, 2015 18:35 - Artem S. Tashkinov

John Lindgren wrote:

I'm skeptical. Has anyone confirmed (i.e. recompiled libflac and tested) that this really fixes the crash?

| surely won't test it, 'cause | have exactly zero desire to install Windows 8.1 again, besides mingw which takes a lot of time to properly set up ;-)

The OP ought to test it, but so far it seems like he's lost interest to this bug report.

#10 - April 22, 2015 02:16 - John Lindgren

Artem S. Tashkinov wrote:

| surely won't test it, 'cause | have exactly zero desire to install Windows 8.1 again

Yeah, me too.

#11 - April 22, 2015 07:39 - Jonathan Lane
Unfortunately | can't test this either, since my Windows 8.1 machine is a company laptop and | can't install a full MinGW toolchain to rebuild libflac.

#12 - May 13, 2015 03:47 - JM Phone Home
- File flac.jpg added

I
Audacious 3.6.1 crashes on windows 8.1 with flac files, any hint?

#13 - May 23, 2015 14:28 - Artem S. Tashkinov

JM Phone Home wrote:

Il
Audacious 3.6.1 crashes on windows 8.1 with flac files, any hint?
https://git.xiph.org/?p=flac.git;a=commitdiff;h=a84587061cab4d55fa2668ea431d3b61e711c8a3

You may help by compiling libflac with the proposed patch. There's no need to post screenshots or any debugging information - the crash has been
successfully reproduced.

#14 - May 28, 2015 18:05 - JM Phone Home

| apologize for posting the screenshot, | followed the link upper on this section,
https://git.xiph.org/?p=flac.qgit;a=commitdiff;h=a84587061cab4d55fa2668ea431d3b61e711c8a3 but | don't know how to compile on Windows, Would
yo be so kind to redirect me to any link related where | can learn how to do it? Also installing 3.6.1 version under Ubuntu 15.04 with the last kernel |
have problems like this:

ERROR plugin-init.cc:132 [start_single]: No output plugin found.
(Did you forget to install audacious-plugins?)

But the plug in is already installed from the same repository, Do | must report this on a different tag?

| will appreciate any help, thank you!

#15 - May 31, 2015 05:35 - John Lindgren
- Status changed from New to Closed
- Target version set to 3.6.2

- % Done changed from 0 to 100

The 3.6.2a build has libflac configured with --disable-sse. This fixes the crash for me on a Windows 10 preview build.

#16 - October 09, 2015 00:13 - Sergey Bromirskiy

I've tested 3.6.2a and 3.7beta1 versions on windows 8 and 8.1 and found similar problem with flac plugin. Adding flac files to play list very frequently
causes Audacious crash. Disabling flac plugin lets add and playback flac files.

Files
